Bug 202557 - [patch] graphics/converseen: add missing qt4-network dependency, qt4-linguist -> qt4-linguisttools
Summary: [patch] graphics/converseen: add missing qt4-network dependency, qt4-linguist...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-21 21:52 UTC by Andriy Voskoboinyk
Modified: 2015-08-25 13:21 UTC (History)
2 users (show)

See Also:


Attachments
Makefile.diff (787 bytes, patch)
2015-08-21 21:52 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (186 bytes, text/plain)
2015-08-21 21:53 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (105.83 KB, text/plain)
2015-08-21 21:53 UTC, Andriy Voskoboinyk
no flags Details
poudriere-10.2-amd64.log (116.76 KB, text/plain)
2015-08-21 23:26 UTC, Andriy Voskoboinyk
no flags Details
poudriere log on 8.4-RELEASE-amd64 (116.31 KB, text/x-log)
2015-08-22 18:30 UTC, Fernando Apesteguía
no flags Details
poudriere log on 9.3-RELEASE-amd64 (116.01 KB, text/x-log)
2015-08-22 18:31 UTC, Fernando Apesteguía
no flags Details
poudriere log on 10.1-RELEASE-amd64 (127.67 KB, text/x-log)
2015-08-22 18:31 UTC, Fernando Apesteguía
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-08-21 21:52:18 UTC
Created attachment 160192 [details]
Makefile.diff

- Add missing qt4-network dependency.
- Depend on qt4-linguisttools for *.qm files generation.
- Drop unused gettext/iconv dependencies.
- Add LICENSE_FILE.
- Bump PORTREVISION.
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-08-21 21:53:10 UTC
Created attachment 160193 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-08-21 21:53:47 UTC
Created attachment 160194 [details]
poudriere-9.3-i386.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-08-21 23:26:37 UTC
Created attachment 160195 [details]
poudriere-10.2-amd64.log
Comment 4 Fernando Apesteguía freebsd_committer 2015-08-22 18:30:44 UTC
Created attachment 160220 [details]
poudriere log on 8.4-RELEASE-amd64
Comment 5 Fernando Apesteguía freebsd_committer 2015-08-22 18:31:02 UTC
Created attachment 160221 [details]
poudriere log on 9.3-RELEASE-amd64
Comment 6 Fernando Apesteguía freebsd_committer 2015-08-22 18:31:19 UTC
Created attachment 160222 [details]
poudriere log on 10.1-RELEASE-amd64
Comment 7 Fernando Apesteguía freebsd_committer 2015-08-22 18:31:57 UTC
You have both my approval and my gratitude.

Thanks for improving the port quality.
Comment 8 commit-hook freebsd_committer 2015-08-25 13:20:06 UTC
A commit references this bug:

Author: rakuco
Date: Tue Aug 25 13:19:51 UTC 2015
New revision: 395250
URL: https://svnweb.freebsd.org/changeset/ports/395250

Log:
  Adjust dependencies.

  - Depend on qt4-network.
  - Depend only on qt4-linguisttools instead of qt4-linguist for the *.qm
    files.
  - Drop unused gettext and iconv dependencies.
  - Set LICENSE_FILE.

  PR:		202557
  Submitted by:	Andriy Voskoboinyk <s3erios@gmail.com>
  Approved by:	fernando.apesteguia@gmail.com <maintainer>

Changes:
  head/graphics/converseen/Makefile
Comment 9 Raphael Kubo da Costa freebsd_committer 2015-08-25 13:21:49 UTC
Landed, thanks!